clc
clear all
close all

var_fis = readfis('exemplo gorjeta.fis'); %Salva o arquivo do toolbox no workspace

serv = linspace(0,10,40); % quarenta pontos de resolucao
alim = linspace(0,10,40);

M = zeros(40,40); %Inicializa o vetor M

    for i =1:40 % Loop para mapear todos pontos
        for j =1:40
            M(i,j) = evalfis([serv(i),alim(j)],var_fis);
        end 
    end
    
figure    
surf(M) %Plotar a superficie
title('Superfície fuzzy - Exemplo Gorjeta')
xlabel('Serviço')
ylabel('Comida')
zlabel('Gorjeta')
save dados.txt M -ASCII; % Salvar vetor M em arquivo txt
%Autor Matheus Zanetti